Deployments.ai Docs
Security

List credential-vault references held by environment owners

GET /v1/credential-references · SDK listCredentialReferences · CLI deployments credential-reference list

GET
/v1/credential-references

Requires secrets:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
ownerType?string

Only list references held by this owner type.

Value in"channel-binding""mcp-server""provider-application""provider-connection""tool-adapter""webhook-endpoint"

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListCredentialReferencesResponse

application/json
  1. response
items*array<>
nextCursor*string|null
curl -X GET "https://example.com/v1/credential-references" \  -H "x-deployments-environment: string"
{  "items": [    {      "createdAt": "2019-08-24T14:15:22Z",      "credentialId": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "generation": 0,      "ownerId": "string",      "ownerName": "string",      "ownerStatus": "string",      "ownerType": "channel-binding",      "providerKey": "string",      "purpose": "string",      "secretNames": [        "string"      ],      "status": "active",      "store": "dynamodb-kms",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}